EBOOK-CONVERT(1)

NAME
ebook-convert - ebook-convert

ebook-convert input_file output_file [options]

Convert an e-book from one format to another.

input_file is the input and output_file is the output. Both must be specified as the first two arguments to the command.

The output e-book format is guessed from the file extension of output_file. output_file can also be of the special format .EXT where EXT is the output file extension. In this case, the name of the output file is derived from the name of the input file. Note that the filenames must not start with a hyphen. Finally, if output_file has no extension, then it is treated as a folder and an "open e-book" (OEB) consisting of HTML files is written to that folder. These files are the files that would normally have been passed to the output plugin.

After specifying the input and output file you can customize the conversion by specifying various options. The available options depend on the input and output file types. To get help on them specify the input and output file and then use the -h option.

For full documentation of the conversion system see eBook Konvertierung

Wann immer Sie Argumente mit Leerzeichen an ebook-convert weitergeben, müssen diese Argumente in Anführungsstriche gesetzt werden. Zum Beispiel: "/some path/with spaces"

Die Optionen und Standardwerte für die Optionen ändern sich je nach dem gewählten Quell- und Zielformat. Überprüfen Sie deshalb diese immer mit nachfolgendem Befehl:

ebook-convert myfile.input_format myfile.output_format -h

Nachfolgend sind die Optionen beschrieben, die für alle Konvertierungen gleich sind, gefolgt von den spezifischen Optionen zu jedem Quell- und Zielformat.

•   EINGABE-OPTIONEN

•   AUSGABE-OPTIONEN

•   ERSCHEINUNGSBILD

•   HEURISTISCHE VERARBEITUNG

•   SUCHEN UND ERSETZEN

•   STRUKTURERKENNUNG

•   INHALTSVERZEICHNIS

•   METADATEN

•   DIAGNOSE

--help, -h
    Diesen Hilfetext anzeigen und beenden.

--input-profile
    Geben Sie das Eingabeprofil an. Das Eingabeprofil stellt dem Konvertierungssystem Informationen zur Verfügung, wie diverse Informationen des Eingabedokuments zu interpretieren sind. Zum Beispiel auflösungsabhängige Längen (z. B. Längen in Pixeln). Auswahlmöglichkeiten sind: cybookg3, cybook_opus, default, hanlinv3, hanlinv5, illiad, irexdr1000, irexdr800, kindle, msreader, mobipocket, nook, sony, sony300, sony900

--list-recipes
    Anzeigen der Namen der integrierten Nachrichtenquellen. Sie können aus einer integrierten Quelle ein eBook wie folgt erstellen: ebook-convert "Recipe Name.recipe" output.epub

--output-profile
    Geben sie das Ausgabeprofil an. Das Ausgabeprofil bestimmt, wie das Konvertierungssystem das erstellte Dokument für das angegebene Gerät optimiert. In einigen Fällen kann ein Ausgabeprofil verwendet werden, um die Ausgabe für ein bestimmtes Gerät zu optimieren, aber dies ist selten notwendig. Auswahlmöglichkeiten sind:cybookg3, cybook_opus, default, generic_eink, generic_eink_large, generic_eink_hd, hanlinv3, hanlinv5, illiad, ipad, ipad3, irexdr1000, irexdr800, jetbook5, kindle, kindle_dx, kindle_fire, kindle_oasis, kindle_pw, kindle_pw3, kindle_scribe, kindle_voyage, kobo, msreader, mobipocket, nook, nook_color, nook_hd_plus, pocketbook_inkpad3, pocketbook_lux, pocketbook_hd, pocketbook_900, pocketbook_pro_912, galaxy, sony, sony300, sony900, sony-landscape, sonyt3, tablet

--version
    Programmversion anzeigen und beenden

EINGABE-OPTIONEN

Optionen zur Verarbeitungssteuerung der Quelldatei mobi

--input-encoding
    Geben Sie die Zeichencodierung des Eingabedokuments an. Falls verwendet, werden alle im Dokument angegebenen Codierungen aufgehoben. Besonders hilfreich bei Dokumenten, die keine oder fehlerhafte Codierungen enthalten.

AUSGABE-OPTIONEN

Optionen zur Verarbeitungssteuerung der Ausgabe epub

--dont-split-on-page-breaks
    Das Aufteilen bei Seitenwechseln ausschalten. Normalerweise werden Eingabe-Dateien automatisch bei jedem Seitenwechsel in zwei Dateien aufgeteilt. Damit erhält man in der Ausgabe ein eBook, das schneller mit weniger Resourcen analysiert werden kann. Das Aufteilen ist jedoch langsam und falls die Ausgangsdatei sehr viele Seitenwechsel enthält, sollten Sie das Aufteilen bei Seitenwechseln ausschalten.

--epub-flatten
    Diese Option ist nur nötig, wenn Sie beabsichtigen das EPUB mit einem FBReaderJ zu benutzen. Diese Option wird die Ordnerstruktur des EPUB's vereinfachen, indem alle Dateien in der obersten Ebene abgelegt werden.

--epub-inline-toc
    Inline-Inhaltsverzeichnis einfügen, das als Teil des Buchhauptinhalts erscheinen wird.

--epub-max-image-size
    The maximum image size (width x height). A value of none means use the screen size from the output profile. A value of profile means no maximum size is specified. For example, a value of 100x200 will cause all images to be resized so that their width is no more than 100 pixels and their height is no more than 200 pixels. Note that this only affects the size of the actual image files themselves. Any given image may be rendered at a different size depending on the styling applied to it in the document.

--epub-toc-at-end
    Eingefügtes Inline-Inhaltsverzeichnis am Buchende anstatt am -anfang positionieren.

--epub-version
    Die zu generierende Version der EPUB-Datei. EPUB 2 ist am besten kompatibel. Verwenden Sie EPUB 3 nur, wenn Sie wissen, dass Sie es wirklich benötigen.

--extract-to
    Inhalt der erzeugten EPUB-Datei in den angegebenen Ordner entpacken. Der Inhalt des Ordners wird zuvor gelöscht, also Vorsicht.

--flow-size
    Teile alle HTML Dateien größer als die angegebene Größe (in KB). Das ist notwendig, da nicht alle EPUB Lesegeräte große Dateien verarbeiten können. Der Standard von 260KB ist die Größe, die für Adobe Digital Editions verarbeitet wird. Auf 0 setzen, um das Teilen anhand der Dateigröße zu deaktivieren.

--no-default-epub-cover
    Falls die Quelldatei keine Titelbild enthält und Sie eine solche auch nicht angeben, wird normalerweise eine standardisiertes Titelbild mit Titel, Autoren usw. erstellt. Diese Einstellung deaktiviert dessen Erstellung.

--no-svg-cover
    SVG nicht als Titelbild benutzen. Aktivieren Sie diese Option, falls Ihre EPUB-Datei auf einem Gerät benutzt werden soll, welches SVG nicht unterstützt (z. B. iPhone oder JetBook Lite). Ohne diese Option werden solche Geräte eine leere Seite als Titelbild anzeigen.

--preserve-cover-aspect-ratio
    Bei Verwendung eines SVG-Titelbildes führt diese Einstellung dazu, dass das Titelbild auf die verfügbare Bildschirmgröße skaliert wird, aber dennoch dessen Seitenverhältnis (Verhältnis von Breite zu Höhe) erhalten bleibt. Das heißt, es können weiße Ränder an den Seiten oder oben und unten auf dem Bild enthalten sein, aber das Bild wird nie verzerrt werden. Ohne diese Einstellung ist das Bild möglicherweise leicht verzerrt, jedoch ohne Ränder.

--pretty-print
    Falls angegeben, versucht die Ausgabeerweiterung ein für Menschen möglichst verständliches Ergebnis zu erzeugen. Führt bei einigen Ausgabeerweiterungen eventuell zu keinem Effekt.

--toc-title
    Titel für alle erstellten Inline-Inhaltsverzeichnisse.

ERSCHEINUNGSBILD

Optionen zur Steuerung des Erscheinungsbilds der Ausgabe

--asciiize
    Transliteriert Unicode-Zeichen in eine ASCII-Darstellung. Seien Sie vorsichtig, denn dadurch werden Unicode-Zeichen durch ASCII-Zeichen ersetzt. Zum Beispiel wird "Pelé" durch "Pele" ersetzt. Beachten Sie außerdem, dass in Fällen, in denen es mehrere Darstellungen eines Zeichens gibt (z. B. Zeichen, die von Chinesisch und Japanisch gemeinsam verwendet werden), die Darstellung verwendet wird, die auf der aktuellen Sprache der Calibre-Schnittstelle basiert.

--base-font-size
    Die Bezugsschriftgröße in pts. Alle Schriftgrößen im erstellten E-Book werden basierend auf dieser Größe skaliert. Mit einer größeren Schriftgröße erhalten Sie eine größere Schrift in der Ausgabe und umgekehrt. Laut Voreinstellung basiert die Bezugsschriftgröße auf dem gewählten Ausgabe-Profil.

--change-justification
    Ändern der Textausrichtung. Die Angabe "Links" konvertiert den gesamten Blocksatz der Quelle zu Links ausgerichtet (also ohne Blocksatz). Die Angabe "Blocksatz" konvertiert die Ausrichtung zu Blocksatz. Und die Angabe "Original" (Standardeinstellung) ändert die Ausrichtung gegenüber der Quelldatei nicht. Beachten Sie, dass nicht alle Zielformate die Textausrichtung unterstützen.

--disable-font-rescaling
    Jegliche Neuskalierung von Schriftgrößen deaktivieren.

--embed-all-fonts
    Alle Schriftarten einbetten, die im Eingabedokument referenziert, jedoch noch nicht eingebettet sind. Ihr System wird dabei nach den Schriftarten durchsucht und - falls gefunden - diese eingebettet. Einbettungen werden nur funktionieren, wenn das Zielformat das Einbetten von Schriftarten unterstützt, wie z. B. bei EPUB, AZW3, DOCX oder PDF. Bitte stellen Sie sicher, dass Sie über die richtige Lizenz für das Einbetten der verwendeten Schriftarten verfügen.

--embed-font-family
    Die angegebene Schriftfamilie in das Buch einbetten. Dadurch wird die "Basisschriftart" festgelegt, die für das Buch verwendet wird. Falls das Quelldokument seine eigenen Schriftarten bestimmt, können diese die Basisschriftart außer Kraft setzen. Sie können Stilangaben filtern, um Schriftarten aus dem Quelldokument zu entfernen. Beachten Sie, dass das Einbetten von Schriftarten nur mit einigen Zielformaten funktioniert; prinzipiell sind das die Formate EPUB, AZW3 und DOCX.

--expand-css
    Standardmäßig wird Calibre die Kurzform bei verschiedenen CSS Eigenschaften wie margin, padding, border, usw. verwenden.

    Diese Option wird stattdessen die Verwendung der ungekürzte Form aktivieren. Beachten Sie, dass CSS immer erweitert wird, wenn EPUB Dateien generiert werden, bei denen das Ausgabeprofil auf eines der Nook Profile eingestellt ist, da der Nook verkürztes CSS nicht verarbeiten kann.

--extra-css
    Entweder der Pfad zu einem CSS-Stylesheet oder Roh-CSS. Dieses CSS wird an die Style-Regeln der Quelldatei angehängt, sodass es zum Außerkraftsetzen dieser Regeln verwendet werden kann.

--filter-css
    Eine kommagetrennte Liste aller CSS-Eigenschaften, die aus allen CSS-Style-Regeln entfernt werden. Dies ist hilfreich, falls die Anwesenheit einiger Style-Informationen deren Außerkraftsetzen auf Ihrem Gerät verhindert. Zum Beispiel: font-family (Schriftfamilie), color (Farbe), margin-left (Randbreite rechts), margin-right (Randbreite links)

--font-size-mapping
    Zuordnung von CSS-Schriftnamen zu Schriftgrößen in Punkten. Eine Beispieleinstellung ist 12,12,14,16,18,20,22,24. Dies sind die Zuordnungen für die Größen xx-small bis xx-large, mit der letzten Größe für riesige Schriftarten. Der Algorithmus für die Schriftartneuskalierung verwendet diese Größen für die intelligente Neuskalierung von Schriftarten. Voreinstellung ist die Verwendung einer Zuordnung auf Basis des gewählten Ausgabeprofils.

--insert-blank-line
    Leerzeile zwischen Absätzen einfügen. Funktioniert nur, wenn die Quelldatei Absätze verwendet (<p>- oder <div>-HTML-Tags).

--insert-blank-line-size
    Höhe der eingefügten Leerzeilen (in em) festlegen. Die Höhe der Zeilen zwischen Absätzen wird das Doppelte des hier festgelegten Wertes betragen.

--keep-ligatures
    Ligaturen des Eingabedokuments beibehalten. Eine Ligatur ist eine besondere Form der Darstellung eines Zeichenpaars wie "ff", "fi", "fl" usw. Die meisten Lesegeräte haben keine Unterstützung für Ligaturen in ihren Standardschriftarten, sodass diese wahrscheinlich nicht richtig dargestellt werden. Standardmäßig wird Calibre Ligaturen in die entsprechenden normalen Zeichenpaare umwandeln. Diese Option wird sie stattdessen beibehalten.

--line-height
    Zeilenhöhe in Punkten. Steuert den Abstand zwischen aufeinanderfolgenden Zeilen von Text. Gilt nur für Elemente, die ihre eigene Zeilenhöhe nicht selbst festlegen. In den meisten Fällen ist die Option zum Festlegen der minimalen Zeilenhöhe vorzuziehen. Standardmäßig wird keine Änderung der Zeilenhöhe durchgeführt.

--linearize-tables
    Einige schlecht gestaltete Dokumente verwenden Tabellen für das Layout von Text auf der Seite. Bei der Konvertierung führt dies häufig zu Text außerhalb der Seite und anderen Artefakten. Diese Einstellung extrahiert den Tabelleninhalt und gibt ihn linear wieder.

--margin-bottom
    Festlegen des unteren Randes in pts. Standard ist 5.0. Bei einem Wert von weniger als null wird kein Rand erzeugt (die Randeinstellung im Originaldokument bleibt erhalten). Hinweis: Blattorientierte Formate wie PDF oder DOCX besitzen ihre eigenen Randeinstellungen, die Vorrang haben.

--margin-left
    Festlegen des linken Randes in pts. Standard ist 5.0. Bei einem Wert von weniger als null wird kein Rand erzeugt (die Randeinstellung im Originaldokument bleibt erhalten). Hinweis: Blattorientierte Formate wie PDF oder DOCX besitzen ihre eigenen Randeinstellungen, die Vorrang haben.

--margin-right
    Festlegen des rechten Randes in pts. Standard ist 5.0. Bei einem Wert von weniger als null wird kein Rand erzeugt (die Randeinstellung im Originaldokument bleibt erhalten). Hinweis: Blattorientierte Formate wie PDF oder DOCX besitzen ihre eigenen Randeinstellungen, die Vorrang haben.

--margin-top
    Festlegen des oberen Randes in pts. Standard ist 5.0. Bei einem Wert von weniger als null wird kein Rand erzeugt (die Randeinstellung im Originaldokument bleibt erhalten). Hinweis: Blattorientierte Formate wie PDF oder DOCX besitzen ihre eigenen Randeinstellungen, die Vorrang haben.

--minimum-line-height
    Minimale Zeilenhöhe, ausgedrückt als Prozentsatz der berechneten Schriftgröße des Elementes. Calibre wird sicherstellen, dass jedes Element diese eingestellte Mindesthöhe hat, unabhängig von der Vorgabe des Eingabedokuments. Zum Deaktivieren auf Null setzen. Standardeinstellung ist 120%. Verwenden Sie diese Einstellung anstatt der direkten Angabe der Zeilenhöhe, es sei denn, Sie wissen was Sie tun. Beispielsweise können Sie einen doppelzeiligen Text erreichen, indem Sie den Wert auf 240 setzten.

--remove-paragraph-spacing
    Abstand zwischen Absätzen entfernen. Fügt einen Zeileneinzug bei Absätzen von 1,5 em ein. Die Entfernung des Abstands funktioniert nur bei Quelldateien, die Absätze verwenden (<p>- oder <div>-HTML-Tags).

--remove-paragraph-spacing-indent-size
    Wenn Calibre Leerzeilen zwischen Absätzen entfernt, wird automatisch ein Absatzeinzug hinzugefügt, um Absätze einfach unterscheidbar darzustellen. Diese Option legt die Größe des Einzugs (in em) fest. Bei einem negativen Wert wird der im Eingabedokument angegebene Absatzeinzug verwendet, d. h. Calibre ändert dann Einzüge nicht.

--smarten-punctuation
    Convert plain quotes, dashes and ellipsis to their typographically correct equivalents. For details, see https://daringfireball.net/projects/smartypants.

--subset-embedded-fonts
    Alle eingebetteten Schriftarten reduzieren. Jede eingebettete Schriftart wird so reduziert, dass Sie nur Glyphen enthält, die in diesem Dokument verwendet werden. Dadurch verringert sich die Größe der Schriftdateien. Hilfreich, falls Sie eine besonders umfangreiche Schriftart mit vielen unbenutzten Glyphen einbetten.

--transform-css-rules
    Pfad zu einer Datei, die Regeln zum Umwandeln der CSS-Styles in diesem Buch enthält. Der einfachste Weg, um eine solche Datei zu erstellen, ist die Verwendung des Assistenten zum Erstellen von Regeln in Calibres Benutzeroberfläche. Sie erreichen diesen über den Bereich "Layout" → "Styles umwandeln" des Dialogs "Bücher konvertieren". Sobald Sie Regeln erstellen, können Sie die Schaltfläche "Exportieren" verwenden, um diese in eine Datei zu speichern.

--transform-html-rules
    Path to a file containing rules to transform the HTML in this book. The easiest way to create such a file is to use the wizard for creating rules in the calibre GUI. Access it in the "Look & feel->Transform HTML" section of the conversion dialog. Once you create the rules, you can use the "Export" button to save them to a file.

--unsmarten-punctuation
    Typografische Anführungszeichen, Gedankenstriche und Auslassungspunkte in ihre gewöhnlichen Entsprechungen umwandeln.

HEURISTISCHE VERARBEITUNG

Dokumenttext und -struktur durch Anwendung häufiger Muster verändern. Standardmäßig deaktiviert. Zum Aktivieren --enable-heuristics verwenden. Individuelle Aktionen können mit den --disable-
*
-Optionen deaktiviert werden.

--disable-dehyphenate
    Wörter mit Bindestrichen im gesamten Dokument analysieren. Das Dokument selbst wird als Wörterbuch zur Feststellung verwendet, ob Bindestriche beibehalten oder entfernt werden sollen.

--disable-delete-blank-paragraphs
    Leere Absätze aus dem Dokument entfernen, falls diese zwischen allen anderen Absätzen liegen.

--disable-fix-indents
    Einrückungen, die durch mehrere geschützte Leerzeichen erstellt wurden, in CSS-Einrückungen umwandeln.

--disable-format-scene-breaks
    Linksbündige Markierungen für Abschnittswechsel werden zentriert. Weiche Abschnittswechsel, die mehrere Leerzeilen verwenden, werden mit horizontalen Linien ersetzt.

--disable-italicize-common-cases
    Nach gängigen Wörtern und Mustern suchen, die auf Kursivschrift hindeuten und diese entsprechend formatieren.

--disable-markup-chapter-headings
    Unformatierte Kapitelüberschriften und Unterüberschriften erkennen und in h2- und h3-HTML-Tags ändern. Diese Einstellung erstellt kein Inhaltsverzeichnis, kann aber in Kombination mit der Strukturerkennung verwendet werden, um eines zu erstellen.

--disable-renumber-headings
    Sucht aufeinanderfolgende <h1>- oder <h2>-HTML-Tags. Um Trennungen innerhalb von Kapitelüberschriften zu verhinden, werden die HTML-Tags neu nummeriert.

--disable-unwrap-lines
    Zeilenumbrüche basierend auf Satzzeichen und anderen Hinweisen entfernen.

--enable-heuristics
    Heuristische Verarbeitung aktivieren. Falls deaktiviert, wird keinerlei heuristische Verarbeitung durchgeführt.

--html-unwrap-factor
    Skala zur Festlegung der Zeilenlänge, bei der Zeilenumbrüche entfernt werden sollen. Gültige Werte sind Dezimalzahlen zwischen 0 und 1. Die Standardeinstellung ist 0,4, gerade unter der mittleren Zeilenlänge. Reduzieren Sie diesen Wert, falls nur einige wenige Zeilen des Dokuments ein Entfernen von Umbrüchen benötigen.

--replace-scene-breaks
    Abschnittswechsel mit angegebenem Text ersetzen. Standardmäßig wird der Text des Eingabedokuments verwendet.

SUCHEN UND ERSETZEN

Text und Struktur des Dokument ändern durch Nutzung von benutzerdefinierten Mustern.

--search-replace
    Pfad zu einer Datei mit regulären Ausdrücken für das Suchen und Ersetzen. Die Datei muss abwechselnd Zeilen mit einem regulären Ausdruck, gefolgt von einem Austauschmuster (das eine leere Zeile sein kann) enthalten. Der reguläre Ausdruck muss der Python-Regex-Syntax entsprechen und die Datei muss in UTF-8 codiert sein.

--sr1-replace
    Ersatz zum Ersetzen des mit "sr1-search" gefundenen Textes.

--sr1-search
    Suchmuster (regulärer Ausdruck), das durch "sr1-replace" ersetzt werden soll.

--sr2-replace
    Ersatz zum Ersetzen des mit "sr2-search" gefundenen Textes.

--sr2-search
    Suchmuster (regulärer Ausdruck), das durch "sr2-replace" ersetzt werden soll.

--sr3-replace
    Ersatz zum Ersetzen des mit "sr3-search" gefundenen Textes.

--sr3-search
    Suchmuster (regulärer Ausdruck), das durch "sr3-replace" ersetzt werden soll.

STRUKTURERKENNUNG

Kontrolle der automatischen Erkennung der Dokumentstruktur.

--chapter
    XPath-Ausdruck zum Erkennen von Kapitelüberschriften. Standardmässig werden <h1>- oder <h2>-Tags, welche die Wörter "chapter", "book", "section", "prologue", "epilogue" oder "part" enthalten, als Kapitelüberschrift behandelt, ebenso wie alle Tags, die class="chapter" enthalten. Der verwendete Ausdruck muss eine Liste von Elementen bewerten. Um die Kapitelerkennung zu deaktivieren, verwenden Sie den Ausdruck "/". Siehe das XPath-Tutorial im Calibre-Handbuch für weitere Hilfe zu diesem Feature.

--chapter-mark
    Geben Sie an, wie erkannte Kapitel gekennzeichnet werden sollen. Der Wert "pagebreak" fügt Seitenumbrüche vor Kapiteln ein. Der Wert "rule" fügt eine Linie vor Kapiteln ein. Der Wert "none" schaltet die Kapitelmarkierung aus und der Wert "both" verwendet sowohl Seitenumbrüche als auch Linien zur Kapitelmarkierung.

--disable-remove-fake-margins
    Einige Dokumente definieren Blattränder durch die Angabe eines rechten und linken Randes für jeden Absatz. Calibre wird versuchen, diese Ränder zu erkennen und zu entfernen. Manchmal kann dies das Entfernen von Rändern verursachen, die hätten beibehalten werden sollen. In diesem Fall können Sie die Entfernung deaktiveren.

--insert-metadata
    Metadaten des Buchs am Buchanfang einfügen. Hilfreich, falls Ihr eBook-Reader die direkte Anzeige/Suche von Metadaten nicht unterstützt.

--page-breaks-before
    XPath-Ausdruck. Seitenumbrüche werden vor den angegebenen Elementen eingefügt. Verwenden Sie zur Deaktivierung den Ausdruck: "/".

--prefer-metadata-cover
    Erkanntes Titelbild der Quelldatei bevorzugt verwenden anstatt des angegebenen.

--remove-first-image
    Erstes Bild des Eingabe-eBooks entfernen. Hilfreich, falls das Eingabedokument ein Titelbild besitzt, das nicht als solches erkannt wurde. Ohne diese Option würde in diesem Fall das Hinzufügen eines Titelbildes mit Calibre zu zwei Titelbildern im Ausgabedokument führen.

--start-reading-at
    XPath-Ausdruck zur Erkennung der Stelle im Dokument, an der mit dem Lesen begonnen wird. Einige eBook-Leseprogramme (allem voran der Kindle) verwenden diese Stelle als die Position, an der das Buch geöffnet wird. Siehe das XPath-Tutorial im Calibre-Benutzerhandbuch für weitere Hilfe zur Benutzung dieser Funktion.

INHALTSVERZEICHNIS

Kontrolle der automatischen Erstellung eines Inhaltsverzeichnisses. Laut Voreinstellung wird, falls die Ursprungsdatei ein Inhaltsverzeichnis hat, dieses verwendet anstatt des automatisch erstellten.

--duplicate-links-in-toc
    Beim Erstellen eines Inhaltsverzeichnisses aus Verweisen des Eingabedokuments doppelte Einträge erlauben. D. h. mehr als einen Eintrag mit demselben Text erlauben, solange diese auf unterschiedliche Orte verweisen.

--level1-toc
    XPath-Ausdruck, der alle Tags bestimmt, die zur ersten Ebene des Inhaltsverzeichnisses hinzugefügt werden sollen. Falls angegeben, hat der Ausdruck Vorrang vor anderen Formen der automatischen Erkennung. Siehe das XPath-Tutorial im Calibre-Benutzerhandbuch für Beispiele.

--level2-toc
    XPath-Ausduck, der alle Tags bestimmt, die zur zweiten Ebene des Inhaltverzeichnisses hinzugefügt werden sollen. Jeder Eintrag wird unter dem vorherigen Eintrag der ersten Ebene hinzugefügt. Siehe das XPath-Tutorial im Calibre-Benutzerhandbuch für Beispiele.

--level3-toc
    XPath-Ausdruck, der alle Tags bestimmt, die zur dritten Ebene des Inhaltverzeichnisses hinzugefügt werden sollen. Jeder Eintrag wird unter dem vorherigen Eintrag der zweiten Ebene hinzugefügt. Siehe das XPath-Tutorial im Calibre-Benutzerhandbuch für Beispiele.

--max-toc-links
    Höchstzahl an Verweisen, die in das Inhaltsverzeichnis eingefügt werden. Zum Deaktivieren auf 0 setzen. Voreinstellung ist: 50. Verweise werden nur dann zum Inhaltsverzeichnis hinzugefügt, wenn weniger Kapitel als im Schwellenwert angegeben erkannt wurden.

--no-chapters-in-toc
    Automatisch erkannte Kapitel nicht zum Inhaltsverzeichnis hinzufügen.

--toc-filter
    Einträge aus dem Inhaltsverzeichnis entfernen, deren Titel dem angegebenen regulären Ausdruck entsprechen. Übereinstimmende Einträge und deren untergeordnete Einträge werden entfernt.

--toc-threshold
    Falls weniger Kapitel als die hier angegebe Anzahl erkannt wurden, werden Verweise zum Inhaltsverzeichnis hinzugefügt. Voreinstellung: 6

--use-auto-toc
    Normalerweise wird, falls die Quelldatei bereits ein Inhaltsverzeichnis besitzt, dieses vorzugsweise verwendet anstatt des automatisch erstellten. Mit dieser Option wird immer das automatisch erstellte verwendet.

METADATEN

Optionen zum Festlegen von Metadaten in der Ausgabe

--author-sort
    Für die Sortierung nach Autor zu verwendende Zeichenfolge.

--authors
    Geben Sie die Autoren an. Mehrere Autoren sollten durch &-Zeichen voneinander getrennt werden.

--book-producer
    Geben Sie den Hersteller des Buches an.

--comments
    Geben Sie die Beschreibung des eBooks an.

--cover
    Geben Sie eine Datei oder URL mit dem Titelbild an.

--isbn
    Geben Sie die ISBN des Buches an.

--language
    Geben Sie die Sprache an.

--pubdate
    Veröffentlichungsdatum festlegen (wird in der lokalen Zeitzone angenommen, es sei denn, die Zeitzone wird explizit angegeben)

--publisher
    Geben Sie den Verlag des eBooks an.

--rating
    Geben Sie die Bewertung an. Dies sollte eine Zahl zwischen 1 und 5 sein.

--read-metadata-from-opf, --from-opf, -m
    Metadaten aus angegebener OPF-Datei lesen. Die aus dieser Datei gelesenen Metadaten haben Vorrang vor jeglichen Metadaten in der Quelldatei.

--series
    Geben Sie die Serie an, zu der dieses eBook gehört.

--series-index
    Geben Sie den Index des Buches in dieser Serie an.

--tags
    Geben Sie die Schlagwörter für das Buch an. Dies sollte eine kommagetrennte Liste sein.

--timestamp
    Geben Sie den Buchzeitstempel an (wird nirgends mehr verwendet).

--title
    Geben Sie den Titel an.

--title-sort
    Für die Sortierung zu verwendende Version des Titels.

DIAGNOSE

Optionen zur Hilfe bei der Konvertierungs-Fehlerdiagnose

--debug-pipeline, -d
    Save the output from different stages of the conversion pipeline to the specified folder. Useful if you are unsure at which stage of the conversion process a bug is occurring.

--verbose, -v
    Ausführlichkeitsgrad. Mehrfach angeben für größere Ausführlichkeit. Zweifache Angabe führt zu vollem, einfache Angabe zu einfachem und überhaupt keine Angabe zu geringstem Detailgrad. Beispiel für Level 2: ebook-convert a.epub b.epub --verbose --verbose oder ebook-convert a.epub b.epub -vv

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal